server:
  port: 8091
  # db
spring:
  datasource:
    url: jdbc:mysql://localhost:3306/fastweb?characterEncoding=utf8&useSSL=false&serverTimezone=UTC&allowPublicKeyRetrieval=true
    #jdbc:mysql://localhost:13306/fastweb?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Shanghai
    username: root
    password: ht<Deyy2u7fy
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    # druid
    druid:
      initial-size: 3
      min-idle: 3
      max-active: 10
      max-wait: 60000
      stat-view-servlet:
        login-username: admin
        login-password: admin
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 10000
  mail:
    host: smtp.qq.com
    username: 954281769@qq.com #发件人邮箱
    password: xmgcnylgzlqddgif  #授权码
    protocol: smtp
    default-encoding: utf-8
  freemarker:
    cache: false
    settings:
      classic_compatible: true
    suffix: .html
    charset: UTF-8
    template-loader-path: classpath:/templates/

  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
  redis:
    host: 127.0.0.1
    port: 6379
  security:
    user:
      name: admin
      password: admin
oss:
  aliyun:
    accessKeyId: "LTAI5tRKwuVPWA9WoRmWeeMg"
    accessKeySecret: "0hHTc3hcfyoGYzS6mk8sf0sUNsCnOo"